Package org.apache.sling.distribution.serialization.impl.vlt

## Class FileVaultContentSerializer

- java.lang.Object
- - org.apache.sling.distribution.serialization.impl.vlt.FileVaultContentSerializer

All Implemented Interfaces:
  `DistributionContentSerializer`

    public class FileVaultContentSerializer
    extends Object
    implements DistributionContentSerializer

`DistributionContentSerializer` based on Apache Jackrabbit FileVault

### Constructor Summary

Constructors
`FileVaultContentSerializer​(String name, org.apache.jackrabbit.vault.packaging.Packaging packaging, String[] packageRoots, String[] nodeFilters, String[] propertyFilters, boolean useBinaryReferences, Map<String,​String> exportPathMapping, ImportSettings importSettings)`
`FileVaultContentSerializer​(String name, org.apache.jackrabbit.vault.packaging.Packaging packaging, ExportSettings exportSettings, ImportSettings importSettings)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `exportToStream​(org.apache.sling.api.resource.ResourceResolver resourceResolver, DistributionExportOptions exportOptions, OutputStream outputStream)` extracts the resources identified by the given request into the given outputStream
`String` `getName()` retrieve the name of this content serializer
`void` `importFromStream​(org.apache.sling.api.resource.ResourceResolver resourceResolver, InputStream inputStream)` imports the given stream
`boolean` `isRequestFiltering()` whether or not this `DistributionContentSerializer` can build package filters for including / excluding certain resources / attributes directly from a `DistributionRequest`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileVaultContentSerializer

    public FileVaultContentSerializer​(String name,
                                      org.apache.jackrabbit.vault.packaging.Packaging packaging,
                                      String[] packageRoots,
                                      String[] nodeFilters,
                                      String[] propertyFilters,
                                      boolean useBinaryReferences,
                                      Map<String,​String> exportPathMapping,
                                      ImportSettings importSettings)

#### FileVaultContentSerializer

    public FileVaultContentSerializer​(String name,
                                      org.apache.jackrabbit.vault.packaging.Packaging packaging,
                                      ExportSettings exportSettings,
                                      ImportSettings importSettings)

### Method Detail

#### exportToStream

    public void exportToStream​(org.apache.sling.api.resource.ResourceResolver resourceResolver,
                               DistributionExportOptions exportOptions,
                               OutputStream outputStream)
                        throws DistributionException

Description copied from interface: `DistributionContentSerializer`
extracts the resources identified by the given request into the given outputStream

Specified by:
  `exportToStream` in interface `DistributionContentSerializer`
Parameters:
  `resourceResolver` - the resource resolver used to access resources to export
  `exportOptions` - export options
  `outputStream` - the output stream
Throws:
  `DistributionException` - if extraction fails for some reason

#### importFromStream

    public void importFromStream​(org.apache.sling.api.resource.ResourceResolver resourceResolver,
                                 InputStream inputStream)
                          throws DistributionException

Description copied from interface: `DistributionContentSerializer`
imports the given stream

Specified by:
  `importFromStream` in interface `DistributionContentSerializer`
Parameters:
  `resourceResolver` - the resource resolver used to write resources
  `inputStream` - the stream to import
Throws:
  `DistributionException` - if importing fails for some reason

#### getName

    public String getName()

Description copied from interface: `DistributionContentSerializer`
retrieve the name of this content serializer

Specified by:
  `getName` in interface `DistributionContentSerializer`
Returns:
  the name of this content serializer

#### isRequestFiltering

    public boolean isRequestFiltering()

Description copied from interface: `DistributionContentSerializer`
whether or not this `DistributionContentSerializer` can build package filters for including / excluding certain resources / attributes directly from a `DistributionRequest`

Specified by:
  `isRequestFiltering` in interface `DistributionContentSerializer`
Returns:
  `true` if it can build filters from a request, `false` otherwise